package cn.ibizlab.assetmanagement.core.location.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.assetmanagement.core.location.domain.EAMLocationStateModelLine;
import cn.ibizlab.assetmanagement.core.location.filter.EAMLocationStateModelLineSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[EAMLocationStateModelLine] 服务对象接口
 */
public interface IEAMLocationStateModelLineService extends IService<EAMLocationStateModelLine>{

    boolean create(EAMLocationStateModelLine et) ;
    void createBatch(List<EAMLocationStateModelLine> list) ;
    boolean update(EAMLocationStateModelLine et) ;
    void updateBatch(List<EAMLocationStateModelLine> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    EAMLocationStateModelLine get(String key) ;
    EAMLocationStateModelLine getDraft(EAMLocationStateModelLine et) ;
    boolean checkKey(EAMLocationStateModelLine et) ;
    boolean save(EAMLocationStateModelLine et) ;
    void saveBatch(List<EAMLocationStateModelLine> list) ;
    Page<EAMLocationStateModelLine> searchDefault(EAMLocationStateModelLineSearchContext context) ;
    List<EAMLocationStateModelLine> selectByEamlocationstatemodelid(String eamlocationstatemodelid) ;
    void removeByEamlocationstatemodelid(String eamlocationstatemodelid) ;
    List<EAMLocationStateModelLine> selectByEamlocationstateid(String eamlocationstateid) ;
    void removeByEamlocationstateid(String eamlocationstateid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<EAMLocationStateModelLine> getEamlocationstatemodellineByIds(List<String> ids) ;
    List<EAMLocationStateModelLine> getEamlocationstatemodellineByEntities(List<EAMLocationStateModelLine> entities) ;
}


